{"openapi":"3.0.0","info":{"title":"3gpp-bdt","version":"1.1.0.alpha-1","description":"API for BDT resouce management.\n© 2019, 3GPP Organizational Partners (ARIB, ATIS, CCSA, ETSI, TSDSI, TTA, TTC).\nAll rights reserved.\n"},"externalDocs":{"description":"3GPP TS 29.122 V16.2.0 T8 reference point for Northbound APIs","url":"http://www.3gpp.org/ftp/Specs/archive/29_series/29.122/"},"security":[{},{"oAuth2ClientCredentials":[]}],"servers":[{"url":"{apiRoot}/3gpp-bdt/v1","variables":{"apiRoot":{"default":"https://example.com","description":"apiRoot as defined in subclause 5.2.4 of 3GPP TS 29.122."}}}],"paths":{"/{scsAsId}/subscriptions":{"parameters":[{"name":"scsAsId","description":"String identifying the SCS/AS.","in":"path","required":true,"schema":{"type":"string"}}],"get":{"responses":{"200":{"description":"all BDT policy subscriptions.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Bdt"},"minItems":0,"description":"individual BDT policy subscription."}}}},"400":{"description":"Bad request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"406":{"description":"Not Acceptable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"429":{"description":"Too Many Requests","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"503":{"description":"Service Unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"default":{"description":"Generic Error"}}},"post":{"requestBody":{"description":"Contains the data to create a BDT subscription.","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bdt"}}}},"callbacks":{"bDTWarningNotification":{"{$request.body#/notificationDestination}":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExNotification"}}}},"responses":{"204":{"description":"No Content (successful notification)"},"400":{"description":"Bad request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"411":{"description":"Length Required","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"413":{"description":"Payload Too Large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"415":{"description":"Unsupported Media Type","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"429":{"description":"Too Many Requests","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"503":{"description":"Service Unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"default":{"description":"Generic Error"}}}}}},"responses":{"201":{"description":"Background data transfer policies offered to the SCS/AS.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bdt"}}},"headers":{"Location":{"description":"Contains the URI of the newly created resource","required":true,"schema":{"type":"string"}}}},"400":{"description":"Bad request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"411":{"description":"Length Required","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"413":{"description":"Payload Too Large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"415":{"description":"Unsupported Media Type","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"429":{"description":"Too Many Requests","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"503":{"description":"Service Unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"default":{"description":"Generic Error"}}}},"/{scsAsId}/subscriptions/{subscriptionId}":{"parameters":[{"name":"scsAsId","description":"String identifying the SCS/AS.","in":"path","required":true,"schema":{"type":"string"}},{"name":"subscriptionId","description":"String identifying the individual BDT policy resource in the SCEF.","in":"path","required":true,"schema":{"type":"string"}}],"get":{"responses":{"200":{"description":"Background data transfer policies offered to and selected by the SCEF.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bdt"}}}},"400":{"description":"Bad request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"406":{"description":"Not Acceptable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"429":{"description":"Too Many Requests","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"503":{"description":"Service Unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"default":{"description":"Generic Error"}}},"put":{"requestBody":{"description":"Parameters to update/replace the existing BDT subscription","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bdt"}}}},"responses":{"200":{"description":"OK (Successful update of the BDT subscription)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bdt"}}}},"400":{"description":"Bad request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"411":{"description":"Length Required","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"413":{"description":"Payload Too Large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"415":{"description":"Unsupported Media Type","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"429":{"description":"Too Many Requests","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"503":{"description":"Service Unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"default":{"description":"Generic Error"}}},"patch":{"requestBody":{"description":"Contains information to be performed on the Bdt data structure to select a transfer policy.","required":true,"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/BdtPatch"}}}},"responses":{"200":{"description":"The Individual BDT Policy resource is modified with a selected policy and a representation of that resource is returned.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bdt"}}}},"204":{"description":"The Individual BDT Policy resource is modified with a selected policy."},"400":{"description":"Bad request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"411":{"description":"Length Required","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"413":{"description":"Payload Too Large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"415":{"description":"Unsupported Media Type","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"429":{"description":"Too Many Requests","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"503":{"description":"Service Unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"default":{"description":"Generic Error"}}},"delete":{"responses":{"204":{"description":"The Individual BDT Policy resource is deleted."},"400":{"description":"Bad request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"429":{"description":"Too Many Requests","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"503":{"description":"Service Unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"default":{"description":"Generic Error"}}}}},"components":{"securitySchemes":{"oAuth2ClientCredentials":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"{tokenUrl}","scopes":{}}}}},"schemas":{"Bdt":{"type":"object","properties":{"self":{"type":"string","description":"string formatted according to IETF RFC 3986 identifying a referenced resource."},"supportedFeatures":{"type":"string","pattern":"^[A-Fa-f0-9]*$"},"volumePerUE":{"type":"object","properties":{"duration":{"$ref":"#/components/schemas/DurationSec"},"totalVolume":{"$ref":"#/components/schemas/Volume"},"downlinkVolume":{"$ref":"#/components/schemas/Volume"},"uplinkVolume":{"$ref":"#/components/schemas/Volume"}}},"numberOfUEs":{"type":"integer","minimum":1,"description":"Identifies the number of UEs."},"desiredTimeWindow":{"type":"object","properties":{"startTime":{"$ref":"#/components/schemas/DateTime"},"stopTime":{"$ref":"#/components/schemas/DateTime"}},"required":["startTime","stopTime"]},"locationArea":{"type":"object","properties":{"cellIds":{"type":"array","items":{"type":"string"},"minItems":1,"description":"Indicates a list of Cell Global Identities of the user which identifies the cell the UE is registered."},"enodeBIds":{"type":"array","items":{"type":"string"},"minItems":1,"description":"Indicates a list of eNodeB identities in which the UE is currently located."},"routingAreaIds":{"type":"array","items":{"type":"string"},"minItems":1,"description":"Identifies a list of Routing Area Identities of the user where the UE is located."},"trackingAreaIds":{"type":"array","items":{"type":"string"},"minItems":1,"description":"Identifies a list of Tracking Area Identities of the user where the UE is located."},"geographicAreas":{"type":"array","items":{"anyOf":[{"$ref":"#/components/schemas/Point"},{"$ref":"#/components/schemas/PointUncertaintyCircle"},{"$ref":"#/components/schemas/PointUncertaintyEllipse"},{"$ref":"#/components/schemas/Polygon"},{"$ref":"#/components/schemas/PointAltitude"},{"$ref":"#/components/schemas/PointAltitudeUncertainty"},{"$ref":"#/components/schemas/EllipsoidArc"}]},"minItems":1,"description":"Identifies a list of geographic area of the user where the UE is located."},"civicAddresses":{"type":"array","items":{"type":"object","properties":{"country":{"type":"string"},"A1":{"type":"string"},"A2":{"type":"string"},"A3":{"type":"string"},"A4":{"type":"string"},"A5":{"type":"string"},"A6":{"type":"string"},"PRD":{"type":"string"},"POD":{"type":"string"},"STS":{"type":"string"},"HNO":{"type":"string"},"HNS":{"type":"string"},"LMK":{"type":"string"},"LOC":{"type":"string"},"NAM":{"type":"string"},"PC":{"type":"string"},"BLD":{"type":"string"},"UNIT":{"type":"string"},"ROOM":{"type":"string"},"PLC":{"type":"string"},"PCN":{"type":"string"},"POBOX":{"type":"string"},"ADDCODE":{"type":"string"},"SEAT":{"type":"string"},"RD":{"type":"string"},"RDSEC":{"type":"string"},"RDBR":{"type":"string"},"RDSUBBR":{"type":"string"},"PRM":{"type":"string"},"POM":{"type":"string"}}},"minItems":1,"description":"Identifies a list of civic addresses of the user where the UE is located."}}},"locationArea5G":{"type":"object","properties":{"geographicAreas":{"type":"array","items":{"anyOf":[{"$ref":"#/components/schemas/Point"},{"$ref":"#/components/schemas/PointUncertaintyCircle"},{"$ref":"#/components/schemas/PointUncertaintyEllipse"},{"$ref":"#/components/schemas/Polygon"},{"$ref":"#/components/schemas/PointAltitude"},{"$ref":"#/components/schemas/PointAltitudeUncertainty"},{"$ref":"#/components/schemas/EllipsoidArc"}]},"minItems":0,"description":"Identifies a list of geographic area of the user where the UE is located."},"civicAddresses":{"type":"array","items":{"type":"object","properties":{"country":{"type":"string"},"A1":{"type":"string"},"A2":{"type":"string"},"A3":{"type":"string"},"A4":{"type":"string"},"A5":{"type":"string"},"A6":{"type":"string"},"PRD":{"type":"string"},"POD":{"type":"string"},"STS":{"type":"string"},"HNO":{"type":"string"},"HNS":{"type":"string"},"LMK":{"type":"string"},"LOC":{"type":"string"},"NAM":{"type":"string"},"PC":{"type":"string"},"BLD":{"type":"string"},"UNIT":{"type":"string"},"ROOM":{"type":"string"},"PLC":{"type":"string"},"PCN":{"type":"string"},"POBOX":{"type":"string"},"ADDCODE":{"type":"string"},"SEAT":{"type":"string"},"RD":{"type":"string"},"RDSEC":{"type":"string"},"RDBR":{"type":"string"},"RDSUBBR":{"type":"string"},"PRM":{"type":"string"},"POM":{"type":"string"}}},"minItems":0,"description":"Identifies a list of civic addresses of the user where the UE is located."},"nwAreaInfo":{"description":"Describes a network area information in which the NF service consumer requests the number of UEs.","type":"object","properties":{"ecgis":{"description":"Contains a list of E-UTRA cell identities.","type":"array","items":{"type":"object","properties":{"plmnId":{"$ref":"#/components/schemas/PlmnId"},"eutraCellId":{"$ref":"#/components/schemas/EutraCellId"}},"required":["plmnId","eutraCellId"]},"minItems":1},"ncgis":{"description":"Contains a list of NR cell identities.","type":"array","items":{"type":"object","properties":{"plmnId":{"$ref":"#/components/schemas/PlmnId"},"nrCellId":{"$ref":"#/components/schemas/NrCellId"}},"required":["plmnId","nrCellId"]},"minItems":1},"gRanNodeIds":{"description":"Contains a list of NG RAN nodes.","type":"array","items":{"type":"object","properties":{"plmnId":{"$ref":"#/components/schemas/PlmnId"},"n3IwfId":{"$ref":"#/components/schemas/N3IwfId"},"gNbId":{"$ref":"#/components/schemas/GNbId"},"ngeNbId":{"$ref":"#/components/schemas/NgeNbId"}},"oneOf":[{"required":["n3IwfId"]},{"required":["gNbId"]},{"required":["ngeNbId"]}],"required":["plmnId"]},"minItems":1},"tais":{"description":"Contains a list of tracking area identities.","type":"array","items":{"type":"object","properties":{"plmnId":{"$ref":"#/components/schemas/PlmnId"},"tac":{"$ref":"#/components/schemas/Tac"}},"required":["plmnId","tac"]},"minItems":1}}}}},"referenceId":{"type":"string","description":"string identifying a BDT Reference ID as defined in subclause 5.3.3 of 3GPP TS 29.154."},"transferPolicies":{"type":"array","items":{"$ref":"#/components/schemas/TransferPolicy"},"minItems":1,"description":"Identifies an offered transfer policy.","readOnly":true},"selectedPolicy":{"type":"integer","description":"Identity of the selected background data transfer policy. Shall not be present in initial message exchange, can be provided by NF service consumer in a subsequent message exchange."},"externalGroupId":{"type":"string","description":"string containing a local identifier followed by \"@\" and a domain identifier. Both the local identifier and the domain identifier shall be encoded as strings that do not contain any \"@\" characters. See Clauses 4.6.2 and 4.6.3 of 3GPP TS 23.682 for more information."},"notificationDestination":{"type":"string","description":"string formatted according to IETF RFC 3986 identifying a referenced resource."}},"required":["volumePerUE","numberOfUEs","desiredTimeWindow"]},"BdtPatch":{"type":"object","properties":{"selectedPolicy":{"type":"integer","description":"Identity of the selected background data transfer policy."}},"required":["selectedPolicy"]},"TransferPolicy":{"type":"object","properties":{"bdtPolicyId":{"type":"integer","description":"Identifier for the transfer policy"},"maxUplinkBandwidth":{"type":"integer","minimum":0,"description":"integer indicating a bandwidth in bits per second."},"maxDownlinkBandwidth":{"type":"integer","minimum":0,"description":"integer indicating a bandwidth in bits per second."},"ratingGroup":{"type":"integer","minimum":0,"description":"Indicates the rating group during the time window."},"timeWindow":{"type":"object","properties":{"startTime":{"$ref":"#/components/schemas/DateTime"},"stopTime":{"$ref":"#/components/schemas/DateTime"}},"required":["startTime","stopTime"]}},"required":["bdtPolicyId","ratingGroup","timeWindow"]},"ExNotification":{"type":"object","properties":{"referenceId":{"type":"string","description":"string identifying a BDT Reference ID as defined in subclause 5.3.3 of 3GPP TS 29.154."},"LocationArea5G":{"type":"object","properties":{"geographicAreas":{"type":"array","items":{"anyOf":[{"$ref":"#/components/schemas/Point"},{"$ref":"#/components/schemas/PointUncertaintyCircle"},{"$ref":"#/components/schemas/PointUncertaintyEllipse"},{"$ref":"#/components/schemas/Polygon"},{"$ref":"#/components/schemas/PointAltitude"},{"$ref":"#/components/schemas/PointAltitudeUncertainty"},{"$ref":"#/components/schemas/EllipsoidArc"}]},"minItems":0,"description":"Identifies a list of geographic area of the user where the UE is located."},"civicAddresses":{"type":"array","items":{"type":"object","properties":{"country":{"type":"string"},"A1":{"type":"string"},"A2":{"type":"string"},"A3":{"type":"string"},"A4":{"type":"string"},"A5":{"type":"string"},"A6":{"type":"string"},"PRD":{"type":"string"},"POD":{"type":"string"},"STS":{"type":"string"},"HNO":{"type":"string"},"HNS":{"type":"string"},"LMK":{"type":"string"},"LOC":{"type":"string"},"NAM":{"type":"string"},"PC":{"type":"string"},"BLD":{"type":"string"},"UNIT":{"type":"string"},"ROOM":{"type":"string"},"PLC":{"type":"string"},"PCN":{"type":"string"},"POBOX":{"type":"string"},"ADDCODE":{"type":"string"},"SEAT":{"type":"string"},"RD":{"type":"string"},"RDSEC":{"type":"string"},"RDBR":{"type":"string"},"RDSUBBR":{"type":"string"},"PRM":{"type":"string"},"POM":{"type":"string"}}},"minItems":0,"description":"Identifies a list of civic addresses of the user where the UE is located."},"nwAreaInfo":{"description":"Describes a network area information in which the NF service consumer requests the number of UEs.","type":"object","properties":{"ecgis":{"description":"Contains a list of E-UTRA cell identities.","type":"array","items":{"type":"object","properties":{"plmnId":{"$ref":"#/components/schemas/PlmnId"},"eutraCellId":{"$ref":"#/components/schemas/EutraCellId"}},"required":["plmnId","eutraCellId"]},"minItems":1},"ncgis":{"description":"Contains a list of NR cell identities.","type":"array","items":{"type":"object","properties":{"plmnId":{"$ref":"#/components/schemas/PlmnId"},"nrCellId":{"$ref":"#/components/schemas/NrCellId"}},"required":["plmnId","nrCellId"]},"minItems":1},"gRanNodeIds":{"description":"Contains a list of NG RAN nodes.","type":"array","items":{"type":"object","properties":{"plmnId":{"$ref":"#/components/schemas/PlmnId"},"n3IwfId":{"$ref":"#/components/schemas/N3IwfId"},"gNbId":{"$ref":"#/components/schemas/GNbId"},"ngeNbId":{"$ref":"#/components/schemas/NgeNbId"}},"oneOf":[{"required":["n3IwfId"]},{"required":["gNbId"]},{"required":["ngeNbId"]}],"required":["plmnId"]},"minItems":1},"tais":{"description":"Contains a list of tracking area identities.","type":"array","items":{"type":"object","properties":{"plmnId":{"$ref":"#/components/schemas/PlmnId"},"tac":{"$ref":"#/components/schemas/Tac"}},"required":["plmnId","tac"]},"minItems":1}}}}},"timeWindow":{"type":"object","properties":{"startTime":{"$ref":"#/components/schemas/DateTime"},"stopTime":{"$ref":"#/components/schemas/DateTime"}},"required":["startTime","stopTime"]}},"required":["bdtPolicyId"]},"ProblemDetails":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/Uri"},"title":{"type":"string","description":"A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem."},"status":{"type":"integer","description":"The HTTP status code for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"$ref":"#/components/schemas/Uri"},"cause":{"type":"string","description":"A machine-readable application error cause specific to this occurrence of the problem. This IE should be present and provide application-related error information, if available."},"invalidParams":{"type":"array","items":{"$ref":"#/components/schemas/InvalidParam"},"minItems":1,"description":"Description of invalid parameters, for a request rejected due to invalid parameters."}}},"InvalidParam":{"type":"object","properties":{"param":{"type":"string","description":"Attribute's name encoded as a JSON Pointer, or header's name."},"reason":{"type":"string","description":"A human-readable reason, e.g. \"must be a positive integer\"."}},"required":["param"]},"PlmnId":{"type":"object","properties":{"mcc":{"$ref":"#/components/schemas/Mcc"},"mnc":{"$ref":"#/components/schemas/Mnc"}},"required":["mcc","mnc"]},"ConfigResult":{"type":"object","properties":{"externalIds":{"type":"array","items":{"$ref":"#/components/schemas/ExternalId"},"minItems":1,"description":"Each element indicates an external identifier of the UE."},"msisdns":{"type":"array","items":{"$ref":"#/components/schemas/Msisdn"},"minItems":1,"description":"Each element identifies the MS internal PSTN/ISDN number allocated for the UE."},"resultReason":{"$ref":"#/components/schemas/ResultReason"}},"required":["resultReason"],"oneOf":[{"required":["externalIds"]},{"required":["msisdns"]}]},"Bandwidth":{"type":"integer","minimum":0,"description":"integer indicating a bandwidth in bits per second."},"BdtReferenceId":{"type":"string","description":"string identifying a BDT Reference ID as defined in subclause 5.3.3 of 3GPP TS 29.154."},"Binary":{"type":"string","description":"string with format \"binary\" as defined in OpenAPI Specification."},"Bytes":{"type":"string","description":"String with format \"byte\" as defined in OpenAPI Specification, i.e, base64-encoded characters."},"DayOfWeek":{"type":"integer","minimum":1,"maximum":7,"description":"integer between and including 1 and 7 denoting a weekday. 1 shall indicate Monday, and the subsequent weekdays shall be indicated with the next higher numbers. 7 shall indicate Sunday."},"DateTime":{"type":"string","description":"string with format \"date-time\" as defined in OpenAPI."},"DateTimeRm":{"type":"string","description":"string with format \"date-time\" as defined in OpenAPI with \"nullable=true\" property.","nullable":true},"DateTimeRo":{"type":"string","description":"string with format \"date-time\" as defined in OpenAPI with \"readOnly=true\" property.","readOnly":true},"DurationSec":{"type":"integer","minimum":0,"description":"Unsigned integer identifying a period of time in units of seconds."},"DurationSecRm":{"type":"integer","minimum":0,"description":"Unsigned integer identifying a period of time in units of seconds with \"nullable=true\" property.","nullable":true},"DurationSecRo":{"type":"integer","minimum":0,"description":"Unsigned integer identifying a period of time in units of seconds with \"readOnly=true\" property.","readOnly":true},"DurationMin":{"type":"integer","format":"int32","minimum":0,"description":"Unsigned integer identifying a period of time in units of minutes."},"ExternalId":{"type":"string","description":"string containing a local identifier followed by \"@\" and a domain identifier. Both the local identifier and the domain identifier shall be encoded as strings that do not contain any \"@\" characters. See Clause 4.6.2 of 3GPP TS 23.682 for more information."},"ExternalGroupId":{"type":"string","description":"string containing a local identifier followed by \"@\" and a domain identifier. Both the local identifier and the domain identifier shall be encoded as strings that do not contain any \"@\" characters. See Clauses 4.6.2 and 4.6.3 of 3GPP TS 23.682 for more information."},"Ipv4Addr":{"type":"string","description":"string identifying a Ipv4 address formatted in the \"dotted decimal\" notation as defined in IETF RFC 1166."},"Ipv6Addr":{"type":"string","description":"string identifying a Ipv6 address formatted according to clause 4 in IETF RFC 5952. The mixed Ipv4 Ipv6 notation according to clause 5 of IETF RFC 5952 shall not be used."},"Ipv4AddrRo":{"type":"string","description":"string identifying a Ipv4 address formatted in the \"dotted decimal\" notation as defined in IETF RFC 1166, with \"readOnly=true\" property.","readOnly":true},"Ipv6AddrRo":{"type":"string","description":"string identifying a Ipv6 address formatted according to clause 4 in IETF RFC 5952, with \"readOnly=true\" property. The mixed Ipv4 Ipv6 notation according to clause 5 of IETF RFC 5952 shall not be used.","readOnly":true},"Link":{"type":"string","description":"string formatted according to IETF RFC 3986 identifying a referenced resource."},"Mcc":{"type":"string","description":"String encoding a Mobile Country Code part of the PLMN, comprising 3 digits, as defined in 3GPP TS 38.413."},"Mnc":{"type":"string","description":"String encoding a Mobile Network Code part of the PLMN, comprising 2 or 3 digits, as defined in 3GPP TS 38.413."},"Msisdn":{"type":"string","description":"string formatted according to subclause 3.3 of 3GPP TS 23.003 that describes an MSISDN."},"Port":{"type":"integer","description":"Unsigned integer with valid values between 0 and 65535.","minimum":0,"maximum":65535},"PortRo":{"type":"integer","description":"Unsigned integer with valid values between 0 and 65535, with \"readOnly=true\" property.","minimum":0,"maximum":65535,"readOnly":true},"ResourceId":{"type":"string","description":"string chosen by the SCEF to serve as identifier in a resource URI."},"ScsAsId":{"type":"string","description":"string that identifies an SCS/AS."},"TimeOfDay":{"type":"string","description":"String with format partial-time or full-time as defined in subclause 5.6 of IETF RFC 3339. Examples, 20:15:00, 20:15:00-08:00 (for 8 hours behind UTC)."},"Uri":{"type":"string","description":"string providing an URI formatted according to IETF RFC 3986."},"Volume":{"type":"integer","format":"int64","minimum":0,"description":"Unsigned integer identifying a volume in units of bytes."},"VolumeRm":{"type":"integer","format":"int64","minimum":0,"description":"Unsigned integer identifying a volume in units of bytes with \"nullable=true\" property.","nullable":true},"Event":{"anyOf":[{"type":"string","enum":["SESSION_TERMINATION","LOSS_OF_BEARER","RECOVERY_OF_BEARER","RELEASE_OF_BEARER","USAGE_REPORT"]},{"type":"string","description":"This string provides forward-compatibility with future extensions to the enumeration but is not used to encode content defined in the present version of this API.\n"}],"description":"Possible values are - SESSION_TERMINATION: Indicates that Rx session is terminated. - LOSS_OF_BEARER : Indicates a loss of a bearer. - RECOVERY_OF_BEARER: Indicates a recovery of a bearer. - RELEASE_OF_BEARER: Indicates a release of a bearer. - USAGE_REPORT: Indicates the usage report event.\n"},"ResultReason":{"anyOf":[{"type":"string","enum":["ROAMING_NOT_ALLOWED","OTHER_REASON"]},{"type":"string","description":"This string provides a failure reason.\n"}],"description":"Possible values are - ROAMING_NOT_ALLOWED: Identifies the configuration parameters are not allowed by roaming agreement. - OTHER_REASON: Identifies the configuration parameters are not configured due to other reason.\n"},"SupportedFeatures":{"type":"string","pattern":"^[A-Fa-f0-9]*$"},"RouteInformation":{"type":"object","properties":{"ipv4Addr":{"$ref":"#/components/schemas/Ipv4Addr"},"ipv6Addr":{"$ref":"#/components/schemas/Ipv6Addr"},"portNumber":{"$ref":"#/components/schemas/Uinteger"}},"required":["portNumber"],"nullable":true},"Dnai":{"type":"string"},"DnaiRm":{"type":"string","nullable":true},"Uinteger":{"type":"integer","minimum":0},"Ecgi":{"type":"object","properties":{"plmnId":{"$ref":"#/components/schemas/PlmnId"},"eutraCellId":{"$ref":"#/components/schemas/EutraCellId"}},"required":["plmnId","eutraCellId"]},"GlobalRanNodeId":{"type":"object","properties":{"plmnId":{"$ref":"#/components/schemas/PlmnId"},"n3IwfId":{"$ref":"#/components/schemas/N3IwfId"},"gNbId":{"$ref":"#/components/schemas/GNbId"},"ngeNbId":{"$ref":"#/components/schemas/NgeNbId"}},"oneOf":[{"required":["n3IwfId"]},{"required":["gNbId"]},{"required":["ngeNbId"]}],"required":["plmnId"]},"EutraCellId":{"type":"string","pattern":"^[A-Fa-f0-9]{7}$"},"EutraCellIdRm":{"type":"string","pattern":"^[A-Fa-f0-9]{7}$","nullable":true},"NrCellId":{"type":"string","pattern":"^[A-Fa-f0-9]{9}$"},"NrCellIdRm":{"type":"string","pattern":"^[A-Fa-f0-9]{9}$","nullable":true},"N3IwfId":{"type":"string","pattern":"^[A-Fa-f0-9]+$"},"NgeNbId":{"type":"string","pattern":"^(MacroNGeNB-[A-Fa-f0-9]{5}|LMacroNGeNB-[A-Fa-f0-9]{6}|SMacroNGeNB-[A-Fa-f0-9]{5})$"},"Ncgi":{"type":"object","properties":{"plmnId":{"$ref":"#/components/schemas/PlmnId"},"nrCellId":{"$ref":"#/components/schemas/NrCellId"}},"required":["plmnId","nrCellId"]},"PresenceState":{"anyOf":[{"type":"string","enum":["IN_AREA","OUT_OF_AREA","UNKNOWN","INACTIVE"]},{"type":"string"}]},"GNbId":{"type":"object","properties":{"bitLength":{"type":"integer","minimum":22,"maximum":32},"gNBValue":{"type":"string","pattern":"^[A-Fa-f0-9]{6,8}$"}},"required":["bitLength","gNBValue"]},"Tai":{"type":"object","properties":{"plmnId":{"$ref":"#/components/schemas/PlmnId"},"tac":{"$ref":"#/components/schemas/Tac"}},"required":["plmnId","tac"]},"Tac":{"type":"string","pattern":"(^[A-Fa-f0-9]{4}$)|(^[A-Fa-f0-9]{6}$)"},"GeographicArea":{"anyOf":[{"$ref":"#/components/schemas/Point"},{"$ref":"#/components/schemas/PointUncertaintyCircle"},{"$ref":"#/components/schemas/PointUncertaintyEllipse"},{"$ref":"#/components/schemas/Polygon"},{"$ref":"#/components/schemas/PointAltitude"},{"$ref":"#/components/schemas/PointAltitudeUncertainty"},{"$ref":"#/components/schemas/EllipsoidArc"}]},"GADShape":{"type":"object","required":["shape"],"properties":{"shape":{"$ref":"#/components/schemas/SupportedGADShapes"}},"discriminator":{"propertyName":"shape","mapping":{"POINT":"#/components/schemas/Point","POINT_UNCERTAINTY_CIRCLE":"#/components/schemas/PointUncertaintyCircle","POINT_UNCERTAINTY_ELLIPSE":"#/components/schemas/PointUncertaintyEllipse","POLYGON":"#/components/schemas/Polygon","POINT_ALTITUDE":"#/components/schemas/PointAltitude","POINT_ALTITUDE_UNCERTAINTY":"#/components/schemas/PointAltitudeUncertainty","ELLIPSOID_ARC":"#/components/schemas/EllipsoidArc"}}},"Point":{"allOf":[{"$ref":"#/components/schemas/GADShape"},{"type":"object","required":["point"],"properties":{"point":{"$ref":"#/components/schemas/GeographicalCoordinates"}}}]},"PointUncertaintyCircle":{"allOf":[{"$ref":"#/components/schemas/GADShape"},{"type":"object","required":["point","uncertainty"],"properties":{"point":{"$ref":"#/components/schemas/GeographicalCoordinates"},"uncertainty":{"$ref":"#/components/schemas/Uncertainty"}}}]},"PointUncertaintyEllipse":{"allOf":[{"$ref":"#/components/schemas/GADShape"},{"type":"object","required":["point","uncertaintyEllipse","confidence"],"properties":{"point":{"$ref":"#/components/schemas/GeographicalCoordinates"},"uncertaintyEllipse":{"$ref":"#/components/schemas/UncertaintyEllipse"},"confidence":{"$ref":"#/components/schemas/Confidence"}}}]},"Polygon":{"allOf":[{"$ref":"#/components/schemas/GADShape"},{"type":"object","required":["pointList"],"properties":{"pointList":{"$ref":"#/components/schemas/PointList"}}}]},"PointAltitude":{"allOf":[{"$ref":"#/components/schemas/GADShape"},{"type":"object","required":["point","altitude"],"properties":{"point":{"$ref":"#/components/schemas/GeographicalCoordinates"},"altitude":{"$ref":"#/components/schemas/Altitude"}}}]},"PointAltitudeUncertainty":{"allOf":[{"$ref":"#/components/schemas/GADShape"},{"type":"object","required":["point","altitude","uncertaintyEllipse","uncertaintyAltitude","confidence"],"properties":{"point":{"$ref":"#/components/schemas/GeographicalCoordinates"},"altitude":{"$ref":"#/components/schemas/Altitude"},"uncertaintyEllipse":{"$ref":"#/components/schemas/UncertaintyEllipse"},"uncertaintyAltitude":{"$ref":"#/components/schemas/Uncertainty"},"confidence":{"$ref":"#/components/schemas/Confidence"}}}]},"EllipsoidArc":{"allOf":[{"$ref":"#/components/schemas/GADShape"},{"type":"object","required":["point","innerRadius","uncertaintyRadius","offsetAngle","includedAngle","confidence"],"properties":{"point":{"$ref":"#/components/schemas/GeographicalCoordinates"},"innerRadius":{"$ref":"#/components/schemas/InnerRadius"},"uncertaintyRadius":{"$ref":"#/components/schemas/Uncertainty"},"offsetAngle":{"$ref":"#/components/schemas/Angle"},"includedAngle":{"$ref":"#/components/schemas/Angle"},"confidence":{"$ref":"#/components/schemas/Confidence"}}}]},"GeographicalCoordinates":{"type":"object","required":["lon","lat"],"properties":{"lon":{"type":"number","format":"float","minimum":-180,"maximum":180},"lat":{"type":"number","format":"float","minimum":-90,"maximum":90}}},"UncertaintyEllipse":{"type":"object","required":["semiMajor","semiMinor","orientationMajor"],"properties":{"semiMajor":{"$ref":"#/components/schemas/Uncertainty"},"semiMinor":{"$ref":"#/components/schemas/Uncertainty"},"orientationMajor":{"$ref":"#/components/schemas/Orientation"}}},"PointList":{"type":"array","items":{"$ref":"#/components/schemas/GeographicalCoordinates"},"minItems":3,"maxItems":15},"LocationQoS":{"type":"object","properties":{"hAccuracy":{"$ref":"#/components/schemas/Accuracy"},"vAccuracy":{"$ref":"#/components/schemas/Accuracy"},"verticalRequested":{"type":"boolean"},"responseTime":{"$ref":"#/components/schemas/ResponseTime"}}},"PositioningMethodAndUsage":{"type":"object","required":["method","mode","usage"],"properties":{"method":{"$ref":"#/components/schemas/PositioningMethod"},"mode":{"$ref":"#/components/schemas/PositioningMode"},"usage":{"$ref":"#/components/schemas/Usage"}}},"GnssPositioningMethodAndUsage":{"type":"object","required":["mode","gnss","usage"],"properties":{"mode":{"$ref":"#/components/schemas/PositioningMode"},"gnss":{"$ref":"#/components/schemas/GnssId"},"usage":{"$ref":"#/components/schemas/Usage"}}},"CivicAddress":{"type":"object","properties":{"country":{"type":"string"},"A1":{"type":"string"},"A2":{"type":"string"},"A3":{"type":"string"},"A4":{"type":"string"},"A5":{"type":"string"},"A6":{"type":"string"},"PRD":{"type":"string"},"POD":{"type":"string"},"STS":{"type":"string"},"HNO":{"type":"string"},"HNS":{"type":"string"},"LMK":{"type":"string"},"LOC":{"type":"string"},"NAM":{"type":"string"},"PC":{"type":"string"},"BLD":{"type":"string"},"UNIT":{"type":"string"},"ROOM":{"type":"string"},"PLC":{"type":"string"},"PCN":{"type":"string"},"POBOX":{"type":"string"},"ADDCODE":{"type":"string"},"SEAT":{"type":"string"},"RD":{"type":"string"},"RDSEC":{"type":"string"},"RDBR":{"type":"string"},"RDSUBBR":{"type":"string"},"PRM":{"type":"string"},"POM":{"type":"string"}}},"VelocityEstimate":{"oneOf":[{"$ref":"#/components/schemas/HorizontalVelocity"},{"$ref":"#/components/schemas/HorizontalWithVerticalVelocity"},{"$ref":"#/components/schemas/HorizontalVelocityWithUncertainty"},{"$ref":"#/components/schemas/HorizontalWithVerticalVelocityAndUncertainty"}]},"HorizontalVelocity":{"type":"object","required":["hSpeed","bearing"],"properties":{"hSpeed":{"$ref":"#/components/schemas/HorizontalSpeed"},"bearing":{"$ref":"#/components/schemas/Angle"}}},"HorizontalWithVerticalVelocity":{"type":"object","required":["hSpeed","bearing","vSpeed","vDirection"],"properties":{"hSpeed":{"$ref":"#/components/schemas/HorizontalSpeed"},"bearing":{"$ref":"#/components/schemas/Angle"},"vSpeed":{"$ref":"#/components/schemas/VerticalSpeed"},"vDirection":{"$ref":"#/components/schemas/VerticalDirection"}}},"HorizontalVelocityWithUncertainty":{"type":"object","required":["hSpeed","bearing","hUncertainty"],"properties":{"hSpeed":{"$ref":"#/components/schemas/HorizontalSpeed"},"bearing":{"$ref":"#/components/schemas/Angle"},"hUncertainty":{"$ref":"#/components/schemas/SpeedUncertainty"}}},"HorizontalWithVerticalVelocityAndUncertainty":{"type":"object","required":["hSpeed","bearing","vSpeed","vDirection","hUncertainty","vUncertainty"],"properties":{"hSpeed":{"$ref":"#/components/schemas/HorizontalSpeed"},"bearing":{"$ref":"#/components/schemas/Angle"},"vSpeed":{"$ref":"#/components/schemas/VerticalSpeed"},"vDirection":{"$ref":"#/components/schemas/VerticalDirection"},"hUncertainty":{"$ref":"#/components/schemas/SpeedUncertainty"},"vUncertainty":{"$ref":"#/components/schemas/SpeedUncertainty"}}},"UeLcsCapability":{"type":"object","properties":{"lppSupport":{"type":"boolean","default":true}}},"Altitude":{"type":"number","format":"float","minimum":-32767,"maximum":32767},"Angle":{"type":"integer","minimum":0,"maximum":360},"Uncertainty":{"type":"number","format":"float","minimum":0},"Orientation":{"type":"integer","minimum":0,"maximum":180},"Confidence":{"type":"integer","minimum":0,"maximum":100},"Accuracy":{"type":"number","format":"float","minimum":0},"InnerRadius":{"type":"integer","format":"int32","minimum":0,"maximum":327675},"CorrelationID":{"type":"string","minLength":1,"maxLength":255},"AgeOfLocationEstimate":{"type":"integer","minimum":0,"maximum":32767},"HorizontalSpeed":{"type":"number","format":"float","minimum":0,"maximum":2047},"VerticalSpeed":{"type":"number","format":"float","minimum":0,"maximum":255},"SpeedUncertainty":{"type":"number","format":"float","minimum":0,"maximum":255},"BarometricPressure":{"type":"integer","minimum":30000,"maximum":115000},"ExternalClientType":{"anyOf":[{"type":"string","enum":["EMERGENCY_SERVICES","VALUE_ADDED_SERVICES","PLMN_OPERATOR_SERVICES","LAWFUL_INTERCEPT_SERVICES","PLMN_OPERATOR_BROADCAST_SERVICES","PLMN_OPERATOR_OM","PLMN_OPERATOR_ANONYMOUS_STATISTICS","PLMN_OPERATOR_TARGET_MS_SERVICE_SUPPORT"]},{"type":"string"}]},"SupportedGADShapes":{"anyOf":[{"type":"string","enum":["POINT","POINT_UNCERTAINTY_CIRCLE","POINT_UNCERTAINTY_ELLIPSE","POLYGON","POINT_ALTITUDE","POINT_ALTITUDE_UNCERTAINTY","ELLIPSOID_ARC"]},{"type":"string"}]},"ResponseTime":{"anyOf":[{"type":"string","enum":["LOW_DELAY","DELAY_TOLERANT"]},{"type":"string"}]},"PositioningMethod":{"anyOf":[{"type":"string","enum":["CELLID","ECID","OTDOA","BAROMETRIC_PRESSURE","WLAN","BLUETOOTH","MBS"]},{"type":"string"}]},"PositioningMode":{"anyOf":[{"type":"string","enum":["UE_BASED","UE_ASSISTED","CONVENTIONAL"]},{"type":"string"}]},"GnssId":{"anyOf":[{"type":"string","enum":["GPS","GALILEO","SBAS","MODERNIZED_GPS","QZSS","GLONASS"]},{"type":"string"}]},"Usage":{"anyOf":[{"type":"string","enum":["UNSUCCESS","SUCCESS_RESULTS_NOT_USED","SUCCESS_RESULTS_USED_TO_VERIFY_LOCATION","SUCCESS_RESULTS_USED_TO_GENERATE_LOCATION","SUCCESS_METHOD_NOT_DETERMINED"]},{"type":"string"}]},"LcsPriority":{"anyOf":[{"type":"string","enum":["HIGHEST_PRIORITY","NORMAL_PRIORITY"]},{"type":"string"}]},"VelocityRequested":{"anyOf":[{"type":"string","enum":["VELOCITY_IS_NOT_REQUESTED","VELOCITY_IS_REQUESTED"]},{"type":"string"}]},"AccuracyFulfilmentIndicator":{"anyOf":[{"type":"string","enum":["REQUESTED_ACCURACY_FULFILLED","REQUESTED_ACCURACY_NOT_FULFILLED"]},{"type":"string"}]},"VerticalDirection":{"type":"string","enum":["UPWARD","DOWNWARD"]}}}}